#ifndef COUNTRYREGISTERGRID_H
#define COUNTRYREGISTERGRID_H

#include <core.h>
#include "data/countrydata.h"

class CountryRegisterGrid : public GridForm<CountryData>
{

public:
    explicit CountryRegisterGrid(QWidget *parent = NULL);

    // IGridForm interface
protected:
    bool canAddRecord();
    bool canEditRecord();
    bool canDeleteRecord();
};

#endif // COUNTRYREGISTERGRID_H
